DIPlib Documentation - ©1995-2010 Quantitative Imaging Group, Delft University of Technology.

# ImageGetDimensions

Read the dimensions array

## SYNOPSIS

dip_Error dip_ImageGetDimensions( image, dimensions, resources )

## FUNCTION

Read the `dip_Image` dimensions Array. The array that is used to return the dimensions in, is allocated by this routine using `IntegerArrayNew`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | An image
`dip_IntegerArray *` | `dimensions` | Returns the dimensions Array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

The image structure

`ImageGetDimensionality`